/***********************************************************
  文件名：21_RGB_Ring_lights.ino
  描述：控制RGB LED 环形灯实现流水灯的效果。
  作者：陈志强
  日期：2022.11.3
***********************************************************/
#include <Adafruit_NeoPixel.h>//调用环形灯库文件

Adafruit_NeoPixel rgb_display_10 = Adafruit_NeoPixel(12,10,NEO_GRB + NEO_KHZ800);//设置灯环管脚号及灯珠数量

void setup(){
  rgb_display_10.begin();//启动
}

void loop(){
  //灯环接uno控制板D10引脚
  for (int i = 1; i <= 12; i = i + (1)) {//1到12灯珠号循环
    rgb_display_10.setPixelColor((i)-1, ((((i * 21) & 0xffffff) << 16) | ((0 & 0xffffff) << 8) | 0));//设置灯珠颜色
    rgb_display_10.show();//设置生效
    delay(200);//延时0.2秒
    rgb_display_10.setPixelColor((i)-1, (0xffff00));////设置灯珠亮黄色
    rgb_display_10.show();//设置生效
    delay(200);//延时0.2秒
  }

}
